## rust-asn1-rs 0.7.1

=== debian/changelog ===
rust-asn1-rs (0.7.1-1) unstable; urgency=medium

  * new upstream release
  * drop cherry picked patches applied upstream
  * add patch 1003 to fix test failure on 32-bit platforms
  which parses a BER length larger than 32-bit usize::MAX

 -- Blair Noctis <ncts@debian.org>  Tue, 18 Mar 2025 10:59:08 +0000

rust-asn1-rs (0.7.0-4) unstable; urgency=medium

  * add patches cherry-picked upstream feature-fencing tests
  * add patch 1001 to add feature fences for tests
  * add patch 1002 to use core::convert::TryFrom
  * have autopkgtests add feature std with features debug and trace

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Mar 2025 10:55:01 +0100

rust-asn1-rs (0.7.0-3) unstable; urgency=medium

  * relax autopkgtest-dependency for crate colored

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Mar 2025 08:59:18 +0100

rust-asn1-rs (0.7.0-2) unstable; urgency=medium

  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 Mar 2025 20:21:10 +0100

rust-asn1-rs (0.7.0-1) experimental; urgency=medium

  * initial packaging release;
    closes: bug#1098744

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Feb 2025 17:53:02 +0100
