=== debian/control ===
Source: rust-asn1-rs
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-bitvec-1+default-dev,
 librust-colored-dev (<< 4),
 librust-cookie-factory-0.3+default-dev,
 librust-displaydoc-0.2+default-dev,
 librust-hex-literal-0.4+default-dev,
 librust-nom-7+std-dev,
 librust-num-bigint-0.4+default-dev,
 librust-num-traits-0.2+default-dev,
 librust-pem-3+default-dev,
 librust-proc-macro2-1+default-dev,
 librust-quote-1+default-dev,
 librust-rusticata-macros-4+default-dev,
 librust-syn-2+default-dev,
 librust-syn-2+full-dev,
 librust-synstructure-0.13+default-dev,
 librust-thiserror-2+default-dev,
 librust-time-0.3+default-dev,
 librust-time-0.3+formatting-dev,
 librust-time-0.3+macros-dev,
 librust-time-0.3+parsing-dev,
 librust-trybuild-1+default-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/rust-asn1-rs.git
Vcs-Browser: https://salsa.debian.org/debian/rust-asn1-rs
Homepage: https://github.com/rusticata/asn1-rs
Rules-Requires-Root: no

Package: librust-asn1-rs-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-asn1-rs-derive-dev (= ${rust:Version:librust-asn1-rs-derive-dev}),
 librust-asn1-rs-impl-dev (= ${rust:Version:librust-asn1-rs-impl-dev}),
 librust-bitvec-1+default-dev,
 librust-colored-dev (<< 4),
 librust-cookie-factory-0.3+default-dev,
 librust-displaydoc-0.2+default-dev,
 librust-nom-7+std-dev,
 librust-num-bigint-0.4+default-dev,
 librust-num-traits-0.2+default-dev,
 librust-proc-macro2-1+default-dev,
 librust-quote-1+default-dev,
 librust-rusticata-macros-4+default-dev,
 librust-syn-2+default-dev,
 librust-syn-2+full-dev,
 librust-synstructure-0.13+default-dev,
 librust-thiserror-2+default-dev,
 librust-time-0.3+default-dev,
 librust-time-0.3+formatting-dev,
 librust-time-0.3+macros-dev,
 librust-time-0.3+parsing-dev,
 ${misc:Depends},
Provides:
 librust-asn1-rs-0-dev (= ${binary:Version}),
 librust-asn1-rs-0.7+bigint-dev (= ${binary:Version}),
 librust-asn1-rs-0.7+bits-dev (= ${binary:Version}),
 librust-asn1-rs-0.7+datetime-dev (= ${binary:Version}),
 librust-asn1-rs-0.7+debug-dev (= ${binary:Version}),
 librust-asn1-rs-0.7+default-dev (= ${binary:Version}),
 librust-asn1-rs-0.7+serialize-dev (= ${binary:Version}),
 librust-asn1-rs-0.7+std-dev (= ${binary:Version}),
 librust-asn1-rs-0.7+trace-dev (= ${binary:Version}),
 librust-asn1-rs-0.7-dev (= ${binary:Version}),
 librust-asn1-rs-0.7.1-dev (= ${binary:Version}),
 librust-asn1-rs-derive-0-dev (= ${rust:Version:librust-asn1-rs-derive-dev}),
 librust-asn1-rs-derive-0.6+default-dev (= ${rust:Version:librust-asn1-rs-derive-dev}),
 librust-asn1-rs-derive-0.6-dev (= ${rust:Version:librust-asn1-rs-derive-dev}),
 librust-asn1-rs-derive-0.6.0-dev (= ${rust:Version:librust-asn1-rs-derive-dev}),
 librust-asn1-rs-derive-dev (= ${rust:Version:librust-asn1-rs-derive-dev}),
 librust-asn1-rs-impl-0-dev (= ${rust:Version:librust-asn1-rs-impl-dev}),
 librust-asn1-rs-impl-0.2+default-dev (= ${rust:Version:librust-asn1-rs-impl-dev}),
 librust-asn1-rs-impl-0.2-dev (= ${rust:Version:librust-asn1-rs-impl-dev}),
 librust-asn1-rs-impl-0.2.0-dev (= ${rust:Version:librust-asn1-rs-impl-dev}),
 librust-asn1-rs-impl-dev (= ${rust:Version:librust-asn1-rs-impl-dev}),
Breaks:
 librust-asn1-rs-derive-dev (<< 0.6.0+),
 librust-asn1-rs-impl-dev (<< 0.2.0+),
Replaces:
 librust-asn1-rs-derive-dev (<< 0.6.0+),
 librust-asn1-rs-impl-dev (<< 0.2.0+),
Description: parser/encoder for ASN.1 BER/DER data - Rust source code
 asn1-rs is a set of parsers/encoders for Basic Encoding Rules
 (BER [X.690])
 and Distinguished Encoding Rules(DER [X.690]) formats,
 implemented with the nom parser combinator framework.
 .
 This package contains the source for the Rust crates
 asn1-rs asn1-rs-derive asn1-impl,
 for use with cargo.
