=== debian/tests/control ===
# check single-feature tests only on amd64

# add feature std with features debug and trace
# to work around <https://github.com/rusticata/asn1-rs/issues/70>

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test asn1-rs 0.7.1
 --all-targets --all-features
Features:
 test-name=rust-asn1-rs:@,
Depends:
 dh-rust,
 librust-asn1-rs-0.7-dev,
 librust-colored-dev (<< 4),
 librust-hex-literal-0.4+default-dev,
 librust-pem-3+default-dev,
 librust-trybuild-1+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test asn1-rs 0.7.1
 --all-targets
Features:
 test-name=rust-asn1-rs:default,
Depends:
 dh-rust,
 librust-asn1-rs-0.7+default-dev,
 librust-colored-dev (<< 4),
 librust-hex-literal-0.4+default-dev,
 librust-pem-3+default-dev,
 librust-trybuild-1+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test asn1-rs 0.7.1
 --all-targets --no-default-features
Features:
 test-name=rust-asn1-rs:,
Depends:
 dh-rust,
 librust-asn1-rs-0.7-dev,
 librust-colored-dev (<< 4),
 librust-hex-literal-0.4+default-dev,
 librust-pem-3+default-dev,
 librust-trybuild-1+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test asn1-rs 0.7.1
 --all-targets --no-default-features --features bigint
Features:
 test-name=rust-asn1-rs:bigint,
Depends:
 dh-rust,
 librust-asn1-rs-0.7+bigint-dev,
 librust-colored-dev (<< 4),
 librust-hex-literal-0.4+default-dev,
 librust-pem-3+default-dev,
 librust-trybuild-1+default-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test asn1-rs 0.7.1
 --all-targets --no-default-features --features bits
Features:
 test-name=rust-asn1-rs:bits,
Depends:
 dh-rust,
 librust-asn1-rs-0.7+bits-dev,
 librust-colored-dev (<< 4),
 librust-hex-literal-0.4+default-dev,
 librust-pem-3+default-dev,
 librust-trybuild-1+default-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test asn1-rs 0.7.1
 --all-targets --no-default-features --features datetime
Features:
 test-name=rust-asn1-rs:datetime,
Depends:
 dh-rust,
 librust-asn1-rs-0.7+datetime-dev,
 librust-colored-dev (<< 4),
 librust-hex-literal-0.4+default-dev,
 librust-pem-3+default-dev,
 librust-trybuild-1+default-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test asn1-rs 0.7.1
 --all-targets --no-default-features --features debug,std
Features:
 test-name=rust-asn1-rs:debug,
Depends:
 dh-rust,
 librust-asn1-rs-0.7+debug-dev,
 librust-colored-dev (<< 4),
 librust-hex-literal-0.4+default-dev,
 librust-pem-3+default-dev,
 librust-trybuild-1+default-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test asn1-rs 0.7.1
 --all-targets --no-default-features --features serialize
Features:
 test-name=rust-asn1-rs:serialize,
Depends:
 dh-rust,
 librust-asn1-rs-0.7+serialize-dev,
